## org.red5.server.net.mrtmp
Class MRTMPClient

    java.lang.Object
      org.red5.server.net.mrtmp.MRTMPClient

All Implemented Interfaces:
  Runnable

    public class MRTMPClient

extends Object
implements Runnable

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`MRTMPClient()`

Method Summary
`IoHandler` `getIoHandler()`
`int` `getPort()`
`String` `getServer()`
`void` `run()`
`void` `setIoHandler(IoHandler ioHandler)`
`void` `setPort(int port)`
`void` `setServer(String address)`
`void` `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRTMPClient

    public MRTMPClient()

Method Detail

### getServer

    public String getServer()

### setServer

    public void setServer(String address)

### getIoHandler

    public IoHandler getIoHandler()

### setIoHandler

    public void setIoHandler(IoHandler ioHandler)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### start

    public void start()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Copyright © 2006-2010 The Red5 Project